# Uses of Enum Class
java.awt.desktop.UserSessionEvent.Reason

Packages that use UserSessionEvent.Reason
Package
Description
java.awt.desktop
Provides interfaces and classes for interaction with various desktop capabilities.

## Uses of UserSessionEvent.Reason in java.awt.desktop

Subclasses with type arguments of type UserSessionEvent.Reason in java.awt.desktop
Modifier and Type
Class
Description
`static enum`
`UserSessionEvent.Reason`
Kinds of available reasons of user session change.
Methods in java.awt.desktop that return UserSessionEvent.Reason
Modifier and Type
Method
Description
`UserSessionEvent.Reason`
UserSessionEvent.`getReason()`
Gets a reason of the user session change.
`static UserSessionEvent.Reason`
UserSessionEvent.Reason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UserSessionEvent.Reason[]`
UserSessionEvent.Reason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in java.awt.desktop with parameters of type UserSessionEvent.Reason
Modifier
Constructor
Description
``
`UserSessionEvent(UserSessionEvent.Reason reason)`
Constructs a `UserSessionEvent`.